# Generated by Django 3.2.8 on 2021-10-25 07:27

import django.db.models.deletion
import netfields.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DhcpSubnet",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("subnet", netfields.fields.CidrAddressField(max_length=43)),
                ("router", netfields.fields.InetAddressField(max_length=39)),
                (
                    "allocation_pool_start",
                    netfields.fields.InetAddressField(max_length=39),
                ),
                (
                    "allocation_pool_end",
                    netfields.fields.InetAddressField(max_length=39),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Site",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("domain", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="Room",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("slug", models.SlugField(max_length=64)),
                ("mapping_network", netfields.fields.CidrAddressField(max_length=43)),
                (
                    "dhcp_subnet",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.RESTRICT,
                        related_name="dhcp_subnet",
                        to="fleet.dhcpsubnet",
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="site",
                        to="fleet.site",
                    ),
                ),
            ],
            options={
                "ordering": ("site", "name"),
                "unique_together": {("name", "site")},
            },
        ),
        migrations.CreateModel(
            name="Machine",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("mac", netfields.fields.MACAddressField(unique=True)),
                ("ip", netfields.fields.InetAddressField(blank=True, max_length=39)),
                ("board_uuid", models.UUIDField(blank=True)),
                ("board_serial", models.CharField(blank=True, max_length=255)),
                ("switch_name", models.CharField(blank=True, max_length=255)),
                ("switch_port", models.CharField(blank=True, max_length=255)),
                ("added_at", models.DateTimeField(auto_now_add=True)),
                ("exclude_from_mapping", models.BooleanField(default=False)),
                (
                    "room",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="fleet.room"
                    ),
                ),
            ],
            options={
                "ordering": ("room", "name"),
                "unique_together": {
                    ("name", "switch_name", "switch_port"),
                    ("name", "room", "ip"),
                },
            },
        ),
    ]
