# Generated by Django 3.2.9 on 2021-11-10 18:40

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("fleet", "0010_alter_workstation_unique_together"),
    ]

    operations = [
        migrations.CreateModel(
            name="Issue",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("description", models.TextField()),
                (
                    "problem_type",
                    models.CharField(
                        choices=[
                            ("unknown", "Unknown"),
                            ("machine", "Machine"),
                            ("keyboard", "Keyboard"),
                            ("mouse", "Mouse"),
                            ("screen", "Screen"),
                            ("video_cable", "Video cable"),
                            ("power", "Power"),
                            ("network", "Network"),
                            ("link", "Network cable"),
                            ("table", "Table"),
                            ("vesa", "VESA mount"),
                        ],
                        default="unknown",
                        max_length=100,
                    ),
                ),
                (
                    "severity",
                    models.CharField(
                        choices=[
                            ("unknown", "Unknown"),
                            ("low", "Low"),
                            ("medium", "Medium"),
                            ("high", "High"),
                        ],
                        default="unknown",
                        max_length=100,
                    ),
                ),
                ("added_at", models.DateTimeField(auto_now_add=True)),
                ("confirmed_at", models.DateTimeField(blank=True, null=True)),
                ("resolved_at", models.DateTimeField(blank=True, null=True)),
                (
                    "added_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "confirmed_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "resolved_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "workstation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="fleet.workstation",
                    ),
                ),
            ],
        ),
    ]
